Bug 21298 - Clarify relationship between SourceBuffer, input buffer, and tracks
Clarify relationship between SourceBuffer, input buffer, and tracks
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions
unspecified
PC Linux
: P2 normal
: ---
Assigned To: Aaron Colwell
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 08:27 UTC by Jon Piesing (OIPF)
Modified: 2013-04-23 20:23 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Piesing (OIPF) 2013-03-15 08:27:09 UTC
This issue results from a joint meeting between the Open IPTV Forum, HbbTV and the UK DTG. These organizations originally sent a liaison statement to the W3C Web & TV IG:

https://lists.w3.org/Archives/Member/member-web-and-tv/2013Jan/0000.html (W3C member only link)

We appreciate that you're probably focussing on the technical content but making the document easier to understand should increase the number of people able to provide feedback and improve the quality of that feedback. For example, we suggest adding a diagram showing the relationship between the Source Buffer, the Decoder Buffer, the Track Buffer and the “input buffer” “used to hold unparsed bytes across appendArrayBuffer() and appendStream() calls” and how / when data flows between these.
Comment 1 Aaron Colwell (c) 2013-03-16 15:23:11 UTC
I will create a diagram showing the relationship between the SourceBuffer, input buffer and Track Buffers, but I think people should refer to the normative text to understand how data moves between these entities.
Comment 2 Jon Piesing (OIPF) 2013-03-17 10:15:36 UTC
(In reply to comment #1)
> I will create a diagram showing the relationship between the SourceBuffer,
> input buffer and Track Buffers, but I think people should refer to the
> normative text to understand how data moves between these entities.

I can't speak for others but what I had in mind by "and how / when data flows between these" was a couple of words in the diagram and some kind of a reference to the relevant normative text.
Comment 3 Adrian Bateman [MSFT] 2013-04-23 20:23:23 UTC
Discussed at F2F meeting - resolved later pending call for editors of a primer document.